=== modified file 'ChangeLog'
--- ChangeLog	2010-09-14 18:32:50 +0000
+++ ChangeLog	2010-09-16 17:00:47 +0000
@@ -1,3 +1,100 @@
+commit 02023109462143bba05b169ecc1c690038c357c9
+Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
+Date:   2010-09-16 16:51:22 +0100
+
+    Prepare MC 5.6.0
+
+ NEWS         |    2 +-
+ configure.ac |    2 +-
+ 2 files changed, 2 insertions(+), 2 deletions(-)
+
+commit 50f936b83a8a5970f981bbe2a6b318b3d51adebe
+Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
+Date:   2010-09-16 16:49:57 +0100
+
+    Don't warn about deprecated declarations
+    
+    This is about to be a stable branch, so we're not going to fix any
+    uses of newly-deprecated functions in future.
+    
+    (To be reverted in master after branching for 5.6.)
+
+ configure.ac |    3 ++-
+ 1 files changed, 2 insertions(+), 1 deletions(-)
+
+commit 3433a7b4ae90f0f61d4fef130631e88f066fd26a
+Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
+Date:   2010-09-16 16:30:56 +0100
+
+    Update NEWS
+
+ NEWS |   36 ++++++++++++++++++++++++++++++++++--
+ 1 files changed, 34 insertions(+), 2 deletions(-)
+
+commit be83db16e4cba060da074a1c4e2db22596310d37
+Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
+Date:   2010-09-16 15:52:46 +0100
+
+    If keyring support is off, we define stubroutines, we dn't #if them out
+    
+    The unused definition warning -> error will bite us if we both define
+    a noop stubroutine _and_ #if the use of that name out as well.
+
+ test/account-store-default.c |    2 --
+ 1 files changed, 0 insertions(+), 2 deletions(-)
+
+commit 51b5efe07c8c14f5d54183561aed95c2cb7926ee
+Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
+Date:   2010-09-16 15:28:13 +0100
+
+    Superfluous include
+
+ src/mcd-account.h |    1 -
+ 1 files changed, 0 insertions(+), 1 deletions(-)
+
+commit 9c8eb6ae0a8ed6809d944f534e21a5740702c558
+Author: Vivek Dasmohapatra <vivek@collabora.co.uk>
+Date:   2010-09-16 15:27:56 +0100
+
+    Install mcd-storage.h [needed by mcd-account-manager.h]
+
+ src/Makefile.am |    3 ++-
+ 1 files changed, 2 insertions(+), 1 deletions(-)
+
+commit d563ead8cff191753d95d19bb0655db254e77c6e
+Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
+Date:   2010-09-15 13:12:42 +0100
+
+    test/account-store: fix one more build warning
+    
+    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
+
+ test/account-store.c |    7 ++++++-
+ 1 files changed, 6 insertions(+), 1 deletions(-)
+
+commit 9c5a4e350ae324316297db4ca3af175cbc32a702
+Author: Vincent Untz <vuntz@gnome.org>
+Date:   2010-09-15 13:08:19 +0100
+
+    Fix various build warnings
+    
+    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
+
+ test/account-store-default.c |    7 ++++---
+ test/account-store.c         |    5 +++--
+ test/keyring-command.c       |    4 ++++
+ 3 files changed, 11 insertions(+), 5 deletions(-)
+
+commit db4960f191d5b1d091dd76537d50194ae579e773
+Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
+Date:   2010-09-14 19:11:05 +0100
+
+    Nano version
+
+ NEWS         |    5 +++++
+ configure.ac |    2 +-
+ 2 files changed, 6 insertions(+), 1 deletions(-)
+
 commit 4c2b540e103cd87b296190ac4bdc72cfb40a3900
 Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
 Date:   2010-09-14 18:25:10 +0100

=== modified file 'NEWS'
--- NEWS	2010-09-14 18:32:50 +0000
+++ NEWS	2010-09-16 17:00:47 +0000
@@ -1,3 +1,40 @@
+telepathy-mission-control 5.6.0 (2010-09-16)
+============================================
+
+The "Back in the old days, we didn't have plural" release.
+
+Highlights since 5.4.x
+----------------------
+
+• MC implements features from telepathy-spec 0.20, including:
+  · channels can be dispatched before a connection is CONNECTED, which is
+    required for telepathy-gabble ≥ 0.9.17
+  · the Account.ConnectionError property indicating the last error
+  · the Account.ChangingPresence property indicating that presence changes
+    are in progress
+  · the Account.Service property indicating where an account is stored
+  · ChannelDispatchOperation.HandleWithTime to set focus-stealing-prevention
+    timestamps
+
+• libmission-control-plugins provides a more stable plugin API for MC. Plugins
+  written with this library can:
+  · observe, delay and influence channel dispatching, much like Observers
+  · observe, delay and/or reject channel requests
+  · store accounts elsewhere
+
+• Bugfixes include:
+  · tries harder to invoke the same handler for an already-handled channel
+  · calls ended locally with reason No_Answer are treated as missed
+  · fewer writes to gnome-keyring when committing changes
+  · in-band XMPP account creation works better
+
+Fixes since 5.5.4
+-----------------
+
+• Fix various build warnings in the tests (Vincent Untz, smcv)
+• Fix a build warning when keyring support is disabled (fledermaus)
+• Install a missing header file (fledermaus)
+
 telepathy-mission-control 5.5.4 (2010-09-14)
 ============================================
 

=== modified file 'configure'
--- configure	2010-09-14 18:32:50 +0000
+++ configure	2010-09-16 17:00:47 +0000
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.67 for telepathy-mission-control 5.5.4.
+# Generated by GNU Autoconf 2.67 for telepathy-mission-control 5.6.0.
 #
 #
 # Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
@@ -698,8 +698,8 @@
 # Identity of this package.
 PACKAGE_NAME='telepathy-mission-control'
 PACKAGE_TARNAME='telepathy-mission-control'
-PACKAGE_VERSION='5.5.4'
-PACKAGE_STRING='telepathy-mission-control 5.5.4'
+PACKAGE_VERSION='5.6.0'
+PACKAGE_STRING='telepathy-mission-control 5.6.0'
 PACKAGE_BUGREPORT=''
 PACKAGE_URL=''
 
@@ -1530,7 +1530,7 @@
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures telepathy-mission-control 5.5.4 to adapt to many kinds of systems.
+\`configure' configures telepathy-mission-control 5.6.0 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1601,7 +1601,7 @@
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of telepathy-mission-control 5.5.4:";;
+     short | recursive ) echo "Configuration of telepathy-mission-control 5.6.0:";;
    esac
   cat <<\_ACEOF
 
@@ -1756,7 +1756,7 @@
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
-telepathy-mission-control configure 5.5.4
+telepathy-mission-control configure 5.6.0
 generated by GNU Autoconf 2.67
 
 Copyright (C) 2010 Free Software Foundation, Inc.
@@ -2242,7 +2242,7 @@
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by telepathy-mission-control $as_me 5.5.4, which was
+It was created by telepathy-mission-control $as_me 5.6.0, which was
 generated by GNU Autoconf 2.67.  Invocation command line was
 
   $ $0 $@
@@ -3060,7 +3060,7 @@
 
 # Define the identity of the package.
  PACKAGE='telepathy-mission-control'
- VERSION='5.5.4'
+ VERSION='5.6.0'
 
 
 cat >>confdefs.h <<_ACEOF
@@ -14879,7 +14879,8 @@
 $as_echo "$flag_ok" >&6; }
 
 
-  for tp_flag in missing-field-initializers \
+  for tp_flag in deprecated-declarations \
+   missing-field-initializers \
    unused-parameter; do
 
   { $as_echo "$as_me:${as_lineno-$LINENO}: checking to see if compiler understands -Wno-$tp_flag" >&5
@@ -17125,7 +17126,7 @@
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log="
-This file was extended by telepathy-mission-control $as_me 5.5.4, which was
+This file was extended by telepathy-mission-control $as_me 5.6.0, which was
 generated by GNU Autoconf 2.67.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -17191,7 +17192,7 @@
 cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
 ac_cs_config="`$as_echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`"
 ac_cs_version="\\
-telepathy-mission-control config.status 5.5.4
+telepathy-mission-control config.status 5.6.0
 configured by $0, generated by GNU Autoconf 2.67,
   with options \\"\$ac_cs_config\\"
 

=== modified file 'configure.ac'
--- configure.ac	2010-09-14 18:32:50 +0000
+++ configure.ac	2010-09-16 17:00:47 +0000
@@ -1,7 +1,7 @@
 dnl Set the version number to e.g. 5.0.beta42 immediately before a release.
 dnl Set the version number to e.g. 5.0.beta42+ immediately after (this will
 dnl enable -Werror).
-AC_INIT([telepathy-mission-control], [5.5.4])
+AC_INIT([telepathy-mission-control], [5.6.0])
 
 AC_CONFIG_MACRO_DIR([m4])
 AC_CONFIG_SRCDIR(Makefile.am)
@@ -72,7 +72,8 @@
    format-security \
    init-self \
    ],
-  [missing-field-initializers \
+  [deprecated-declarations \
+   missing-field-initializers \
    unused-parameter])
 AC_SUBST([ERROR_CFLAGS])
 

=== modified file 'doc/reference/mission-control-plugins/html/McpAccountStorage.html'
--- doc/reference/mission-control-plugins/html/McpAccountStorage.html	2010-09-14 18:32:50 +0000
+++ doc/reference/mission-control-plugins/html/McpAccountStorage.html	2010-09-16 17:00:47 +0000
@@ -172,7 +172,7 @@
 <p>
 </p>
 <div class="example">
-<a name="id521704"></a><p class="title"><b>Example 1. </b></p>
+<a name="id615673"></a><p class="title"><b>Example 1. </b></p>
 <div class="example-contents">
   <table class="listing_frame" border="0" cellpadding="0" cellspacing="0">
     <tbody>
@@ -430,6 +430,8 @@
 @ const McpAccountStorage *, const McpAccountManager *, const gchar *, const gchar *:
 @ const McpAccountStorage *, const McpAccountManager *, const gchar *, const gchar *:
 @ const McpAccountStorage *, const McpAccountManager *, const gchar *, const gchar *:
+@ const McpAccountStorage *, const McpAccountManager *, const gchar *, const gchar *:
+@ const McpAccountStorage *, const McpAccountManager *, const gchar *, const gchar *:
 </td>
 </tr></tbody>
 </table></div>
@@ -472,6 +474,8 @@
 @ const McpAccountStorage *, const McpAccountManager *, const gchar *, const gchar *, const gchar *:
 @ const McpAccountStorage *, const McpAccountManager *, const gchar *, const gchar *, const gchar *:
 @ const McpAccountStorage *, const McpAccountManager *, const gchar *, const gchar *, const gchar *:
+@ const McpAccountStorage *, const McpAccountManager *, const gchar *, const gchar *, const gchar *:
+@ const McpAccountStorage *, const McpAccountManager *, const gchar *, const gchar *, const gchar *:
 </td>
 </tr></tbody>
 </table></div>
@@ -514,6 +518,8 @@
 @ const McpAccountStorage *, const McpAccountManager *, const gchar *, const gchar *:
 @ const McpAccountStorage *, const McpAccountManager *, const gchar *, const gchar *:
 @ const McpAccountStorage *, const McpAccountManager *, const gchar *, const gchar *:
+@ const McpAccountStorage *, const McpAccountManager *, const gchar *, const gchar *:
+@ const McpAccountStorage *, const McpAccountManager *, const gchar *, const gchar *:
 </td>
 </tr></tbody>
 </table></div>
@@ -556,6 +562,8 @@
 @ const McpAccountStorage *, const McpAccountManager *:
 @ const McpAccountStorage *, const McpAccountManager *:
 @ const McpAccountStorage *, const McpAccountManager *:
+@ const McpAccountStorage *, const McpAccountManager *:
+@ const McpAccountStorage *, const McpAccountManager *:
 </td>
 </tr></tbody>
 </table></div>
@@ -598,6 +606,8 @@
 @ const McpAccountStorage *, const McpAccountManager *:
 @ const McpAccountStorage *, const McpAccountManager *:
 @ const McpAccountStorage *, const McpAccountManager *:
+@ const McpAccountStorage *, const McpAccountManager *:
+@ const McpAccountStorage *, const McpAccountManager *:
 </td>
 </tr></tbody>
 </table></div>
@@ -640,6 +650,8 @@
 @ const McpAccountStorage *, const McpAccountManager *, const gchar *:
 @ const McpAccountStorage *, const McpAccountManager *, const gchar *:
 @ const McpAccountStorage *, const McpAccountManager *, const gchar *:
+@ const McpAccountStorage *, const McpAccountManager *, const gchar *:
+@ const McpAccountStorage *, const McpAccountManager *, const gchar *:
 </td>
 </tr></tbody>
 </table></div>
@@ -682,6 +694,8 @@
 @ const McpAccountStorage *storage, const McpAccountManager *am:
 @ const McpAccountStorage *storage, const McpAccountManager *am:
 @ const McpAccountStorage *storage, const McpAccountManager *am:
+@ const McpAccountStorage *storage, const McpAccountManager *am:
+@ const McpAccountStorage *storage, const McpAccountManager *am:
 </td>
 </tr></tbody>
 </table></div>
@@ -721,6 +735,8 @@
 @ const McpAccountStorage *, const gchar *, GValue *:
 @ const McpAccountStorage *, const gchar *, GValue *:
 @ const McpAccountStorage *, const gchar *, GValue *:
+@ const McpAccountStorage *, const gchar *, GValue *:
+@ const McpAccountStorage *, const gchar *, GValue *:
 </td>
 </tr></tbody>
 </table></div>
@@ -760,6 +776,8 @@
 @ const McpAccountStorage *, const gchar *:
 @ const McpAccountStorage *, const gchar *:
 @ const McpAccountStorage *, const gchar *:
+@ const McpAccountStorage *, const gchar *:
+@ const McpAccountStorage *, const gchar *:
 </td>
 </tr></tbody>
 </table></div>
@@ -799,6 +817,8 @@
 @ const McpAccountStorage *, const gchar *:
 @ const McpAccountStorage *, const gchar *:
 @ const McpAccountStorage *, const gchar *:
+@ const McpAccountStorage *, const gchar *:
+@ const McpAccountStorage *, const gchar *:
 </td>
 </tr></tbody>
 </table></div>

=== modified file 'doc/reference/mission-control-plugins/html/McpDispatchOperationPolicy.html'
--- doc/reference/mission-control-plugins/html/McpDispatchOperationPolicy.html	2010-09-14 18:32:50 +0000
+++ doc/reference/mission-control-plugins/html/McpDispatchOperationPolicy.html	2010-09-16 17:00:47 +0000
@@ -90,7 +90,7 @@
 <p>
 </p>
 <div class="example">
-<a name="id544456"></a><p class="title"><b>Example 3. </b></p>
+<a name="id606513"></a><p class="title"><b>Example 3. </b></p>
 <div class="example-contents">
   <table class="listing_frame" border="0" cellpadding="0" cellspacing="0">
     <tbody>

=== modified file 'doc/reference/mission-control-plugins/html/McpRequestPolicy.html'
--- doc/reference/mission-control-plugins/html/McpRequestPolicy.html	2010-09-14 18:32:50 +0000
+++ doc/reference/mission-control-plugins/html/McpRequestPolicy.html	2010-09-16 17:00:47 +0000
@@ -89,7 +89,7 @@
 <p>
 </p>
 <div class="example">
-<a name="id545197"></a><p class="title"><b>Example 2. </b></p>
+<a name="id638898"></a><p class="title"><b>Example 2. </b></p>
 <div class="example-contents">
   <table class="listing_frame" border="0" cellpadding="0" cellspacing="0">
     <tbody>

=== modified file 'doc/reference/mission-control-plugins/html/ch01.html'
--- doc/reference/mission-control-plugins/html/ch01.html	2010-09-14 18:32:50 +0000
+++ doc/reference/mission-control-plugins/html/ch01.html	2010-09-16 17:00:47 +0000
@@ -21,7 +21,7 @@
 </tr></table>
 <div class="chapter" title="Global functions">
 <div class="titlepage"><div><div><h2 class="title">
-<a name="id482749"></a>Global functions</h2></div></div></div>
+<a name="id576718"></a>Global functions</h2></div></div></div>
 <div class="toc"><dl><dt>
 <span class="refentrytitle"><a href="mission-control-plugins-Plugin-loader-and-global-functions.html">Plugin loader and global functions</a></span><span class="refpurpose"> — Writing a plugin, or loading plugins</span>
 </dt></dl></div>

=== modified file 'doc/reference/mission-control-plugins/html/ch02.html'
--- doc/reference/mission-control-plugins/html/ch02.html	2010-09-14 18:32:50 +0000
+++ doc/reference/mission-control-plugins/html/ch02.html	2010-09-16 17:00:47 +0000
@@ -21,7 +21,7 @@
 </tr></table>
 <div class="chapter" title="Account storage">
 <div class="titlepage"><div><div><h2 class="title">
-<a name="id494208"></a>Account storage</h2></div></div></div>
+<a name="id588177"></a>Account storage</h2></div></div></div>
 <div class="toc"><dl>
 <dt>
 <span class="refentrytitle"><a href="McpAccountStorage.html">McpAccountStorage</a></span><span class="refpurpose"> — Account Storage object, implemented by plugins</span>

=== modified file 'doc/reference/mission-control-plugins/html/ch03.html'
--- doc/reference/mission-control-plugins/html/ch03.html	2010-09-14 18:32:50 +0000
+++ doc/reference/mission-control-plugins/html/ch03.html	2010-09-16 17:00:47 +0000
@@ -21,7 +21,7 @@
 </tr></table>
 <div class="chapter" title="Channel requests">
 <div class="titlepage"><div><div><h2 class="title">
-<a name="id490127"></a>Channel requests</h2></div></div></div>
+<a name="id584096"></a>Channel requests</h2></div></div></div>
 <div class="toc"><dl>
 <dt>
 <span class="refentrytitle"><a href="McpRequestPolicy.html">McpRequestPolicy</a></span><span class="refpurpose"> — Request-policy object, implemented by plugins</span>

=== modified file 'doc/reference/mission-control-plugins/html/ch04.html'
--- doc/reference/mission-control-plugins/html/ch04.html	2010-09-14 18:32:50 +0000
+++ doc/reference/mission-control-plugins/html/ch04.html	2010-09-16 17:00:47 +0000
@@ -21,7 +21,7 @@
 </tr></table>
 <div class="chapter" title="Channel dispatch operations">
 <div class="titlepage"><div><div><h2 class="title">
-<a name="id499088"></a>Channel dispatch operations</h2></div></div></div>
+<a name="id593057"></a>Channel dispatch operations</h2></div></div></div>
 <div class="toc"><dl>
 <dt>
 <span class="refentrytitle"><a href="McpDispatchOperationPolicy.html">McpDispatchOperationPolicy</a></span><span class="refpurpose"> — Dispatch Operation policy object, implemented by plugins</span>

=== modified file 'doc/reference/mission-control-plugins/tmpl/account-storage.sgml'
--- doc/reference/mission-control-plugins/tmpl/account-storage.sgml	2010-09-14 18:32:50 +0000
+++ doc/reference/mission-control-plugins/tmpl/account-storage.sgml	2010-09-16 17:00:47 +0000
@@ -168,6 +168,8 @@
 @ const McpAccountStorage *, const McpAccountManager *, const gchar *, const gchar *:
 @ const McpAccountStorage *, const McpAccountManager *, const gchar *, const gchar *:
 @ const McpAccountStorage *, const McpAccountManager *, const gchar *, const gchar *:
+@ const McpAccountStorage *, const McpAccountManager *, const gchar *, const gchar *:
+@ const McpAccountStorage *, const McpAccountManager *, const gchar *, const gchar *:
 @ const McpAccountStorage *, const McpAccountManager *, const gchar *, const gchar *: 
 
 
@@ -201,6 +203,8 @@
 @ const McpAccountStorage *, const McpAccountManager *, const gchar *, const gchar *, const gchar *:
 @ const McpAccountStorage *, const McpAccountManager *, const gchar *, const gchar *, const gchar *:
 @ const McpAccountStorage *, const McpAccountManager *, const gchar *, const gchar *, const gchar *:
+@ const McpAccountStorage *, const McpAccountManager *, const gchar *, const gchar *, const gchar *:
+@ const McpAccountStorage *, const McpAccountManager *, const gchar *, const gchar *, const gchar *:
 @ const McpAccountStorage *, const McpAccountManager *, const gchar *, const gchar *, const gchar *: 
 
 
@@ -234,6 +238,8 @@
 @ const McpAccountStorage *, const McpAccountManager *, const gchar *, const gchar *:
 @ const McpAccountStorage *, const McpAccountManager *, const gchar *, const gchar *:
 @ const McpAccountStorage *, const McpAccountManager *, const gchar *, const gchar *:
+@ const McpAccountStorage *, const McpAccountManager *, const gchar *, const gchar *:
+@ const McpAccountStorage *, const McpAccountManager *, const gchar *, const gchar *:
 @ const McpAccountStorage *, const McpAccountManager *, const gchar *, const gchar *: 
 
 
@@ -267,6 +273,8 @@
 @ const McpAccountStorage *, const McpAccountManager *:
 @ const McpAccountStorage *, const McpAccountManager *:
 @ const McpAccountStorage *, const McpAccountManager *:
+@ const McpAccountStorage *, const McpAccountManager *:
+@ const McpAccountStorage *, const McpAccountManager *:
 @ const McpAccountStorage *, const McpAccountManager *: 
 
 
@@ -300,6 +308,8 @@
 @ const McpAccountStorage *, const McpAccountManager *:
 @ const McpAccountStorage *, const McpAccountManager *:
 @ const McpAccountStorage *, const McpAccountManager *:
+@ const McpAccountStorage *, const McpAccountManager *:
+@ const McpAccountStorage *, const McpAccountManager *:
 @ const McpAccountStorage *, const McpAccountManager *: 
 
 
@@ -333,6 +343,8 @@
 @ const McpAccountStorage *, const McpAccountManager *, const gchar *:
 @ const McpAccountStorage *, const McpAccountManager *, const gchar *:
 @ const McpAccountStorage *, const McpAccountManager *, const gchar *:
+@ const McpAccountStorage *, const McpAccountManager *, const gchar *:
+@ const McpAccountStorage *, const McpAccountManager *, const gchar *:
 @ const McpAccountStorage *, const McpAccountManager *, const gchar *: 
 
 
@@ -366,6 +378,8 @@
 @ const McpAccountStorage *storage, const McpAccountManager *am:
 @ const McpAccountStorage *storage, const McpAccountManager *am:
 @ const McpAccountStorage *storage, const McpAccountManager *am:
+@ const McpAccountStorage *storage, const McpAccountManager *am:
+@ const McpAccountStorage *storage, const McpAccountManager *am:
 @ const McpAccountStorage *storage, const McpAccountManager *am: 
 
 
@@ -396,6 +410,8 @@
 @ const McpAccountStorage *, const gchar *, GValue *:
 @ const McpAccountStorage *, const gchar *, GValue *:
 @ const McpAccountStorage *, const gchar *, GValue *:
+@ const McpAccountStorage *, const gchar *, GValue *:
+@ const McpAccountStorage *, const gchar *, GValue *:
 @ const McpAccountStorage *, const gchar *, GValue *: 
 
 
@@ -426,6 +442,8 @@
 @ const McpAccountStorage *, const gchar *:
 @ const McpAccountStorage *, const gchar *:
 @ const McpAccountStorage *, const gchar *:
+@ const McpAccountStorage *, const gchar *:
+@ const McpAccountStorage *, const gchar *:
 @ const McpAccountStorage *, const gchar *: 
 
 
@@ -456,6 +474,8 @@
 @ const McpAccountStorage *, const gchar *:
 @ const McpAccountStorage *, const gchar *:
 @ const McpAccountStorage *, const gchar *:
+@ const McpAccountStorage *, const gchar *:
+@ const McpAccountStorage *, const gchar *:
 @ const McpAccountStorage *, const gchar *: 
 
 

=== modified file 'doc/reference/mission-control-plugins/tmpl/dispatch-operation-policy.sgml'
--- doc/reference/mission-control-plugins/tmpl/dispatch-operation-policy.sgml	2010-09-14 18:32:50 +0000
+++ doc/reference/mission-control-plugins/tmpl/dispatch-operation-policy.sgml	2010-09-16 17:00:47 +0000
@@ -71,6 +71,8 @@
 @McpDispatchOperationPolicy *, McpDispatchOperation *:
 @McpDispatchOperationPolicy *, McpDispatchOperation *:
 @McpDispatchOperationPolicy *, McpDispatchOperation *:
+@McpDispatchOperationPolicy *, McpDispatchOperation *:
+@McpDispatchOperationPolicy *, McpDispatchOperation *:
 @McpDispatchOperationPolicy *, McpDispatchOperation *: 
 
 

=== modified file 'doc/reference/mission-control-plugins/tmpl/request-policy.sgml'
--- doc/reference/mission-control-plugins/tmpl/request-policy.sgml	2010-09-14 18:32:50 +0000
+++ doc/reference/mission-control-plugins/tmpl/request-policy.sgml	2010-09-16 17:00:47 +0000
@@ -71,6 +71,8 @@
 @McpRequestPolicy *, McpRequest *:
 @McpRequestPolicy *, McpRequest *:
 @McpRequestPolicy *, McpRequest *:
+@McpRequestPolicy *, McpRequest *:
+@McpRequestPolicy *, McpRequest *:
 @McpRequestPolicy *, McpRequest *: 
 
 

=== modified file 'src/Makefile.am'
--- src/Makefile.am	2010-09-14 18:32:50 +0000
+++ src/Makefile.am	2010-09-16 17:00:47 +0000
@@ -36,7 +36,8 @@
 	mcd-service.h \
 	mcd-transport.h \
 	mcd-provisioning.h \
-	mcd-provisioning-factory.h
+	mcd-provisioning-factory.h \
+	mcd-storage.h
 
 if ENABLE_LIBACCOUNTS_SSO
 mc_headers += mcd-account-manager-sso.h

=== modified file 'src/Makefile.in'
--- src/Makefile.in	2010-09-14 18:32:50 +0000
+++ src/Makefile.in	2010-09-16 17:00:47 +0000
@@ -224,7 +224,7 @@
 	mcd-presence-frame.h mcd-channel.h mcd-proxy.h \
 	mcd-dispatcher.h mcd-dispatcher-context.h mcd-service.h \
 	mcd-transport.h mcd-provisioning.h mcd-provisioning-factory.h \
-	mcd-account-manager-sso.h
+	mcd-storage.h mcd-account-manager-sso.h
 HEADERS = $(mission_control_include_HEADERS) \
 	$(nodist_geninclude_HEADERS)
 ETAGS = etags
@@ -403,7 +403,8 @@
 	mcd-connection-plugin.h mcd-plugin.h mcd-presence-frame.h \
 	mcd-channel.h mcd-proxy.h mcd-dispatcher.h \
 	mcd-dispatcher-context.h mcd-service.h mcd-transport.h \
-	mcd-provisioning.h mcd-provisioning-factory.h $(am__append_2)
+	mcd-provisioning.h mcd-provisioning-factory.h mcd-storage.h \
+	$(am__append_2)
 mc_gen_headers = \
 	_gen/cli-Connection_Interface_Contact_Capabilities_Draft1.h \
 	_gen/cli-Connection_Interface_Contact_Capabilities.h \

=== modified file 'src/mcd-account.h'
--- src/mcd-account.h	2010-09-14 18:32:50 +0000
+++ src/mcd-account.h	2010-09-16 17:00:47 +0000
@@ -43,7 +43,6 @@
 
 #include "mcd-connection.h"
 #include "mcd-account-manager.h"
-#include "mcd-storage.h"
 
 struct _McdAccount
 {

=== modified file 'test/account-store-default.c'
--- test/account-store-default.c	2010-09-14 18:32:50 +0000
+++ test/account-store-default.c	2010-09-16 17:00:47 +0000
@@ -23,6 +23,8 @@
 #include <glib.h>
 #include <string.h>
 
+#include "account-store-default.h"
+
 #if ENABLE_GNOME_KEYRING
 #include <gnome-keyring.h>
 
@@ -165,7 +167,6 @@
 {
   GError *error = NULL;
   static GKeyFile *keyfile = NULL;
-  const gchar *base;
   const gchar *path = NULL;
 
   if (keyfile != NULL)
@@ -180,7 +181,7 @@
       if (error != NULL)
         g_warning ("keyfile '%s' error: %s", path, error->message);
       else
-        g_warning ("keyfile '%s' error: unknown error");
+        g_warning ("keyfile '%s' error: unknown error", path);
 
       g_key_file_free (keyfile);
       g_error_free (error);
@@ -190,7 +191,7 @@
   return keyfile;
 }
 
-static gboolean commit_changes ()
+static gboolean commit_changes (void)
 {
   gsize n = 0;
   gchar *data = NULL;
@@ -216,9 +217,7 @@
   if (g_str_has_prefix (key, "param-"))
     pkey = key + strlen("param-");
 
-#if ENABLE_GNOME_KEYRING
   value = _get_secret_from_keyring (account, pkey);
-#endif
 
   if (value == NULL)
     value = g_key_file_get_string (default_keyfile (), account, key, NULL);

=== modified file 'test/account-store.c'
--- test/account-store.c	2010-09-14 18:32:50 +0000
+++ test/account-store.c	2010-09-16 17:00:47 +0000
@@ -25,6 +25,7 @@
 #include <string.h>
 #include <stdio.h>
 #include <glib.h>
+#include <glib-object.h>
 
 #include "account-store-default.h"
 
@@ -77,7 +78,8 @@
   { NULL }
 };
 
-static void usage (const gchar *name, const gchar *fmt, ...);
+static void usage (const gchar *name, const gchar *fmt,
+    ...) G_GNUC_NORETURN;
 
 #if ENABLE_GNOME_KEYRING
 #include <gnome-keyring.h>
@@ -121,7 +123,7 @@
   const Backend *store = NULL;
   Operation op = OP_UNKNOWN;
   gchar *output = NULL;
-  gboolean success;
+  gboolean success = FALSE;
 
   g_type_init ();
   g_set_application_name (argv[0]);
@@ -217,6 +219,10 @@
         if (success)
           output = g_strdup_printf ("Exists in %s", store->name);
         break;
+
+      case OP_UNKNOWN:
+        /* if this is the case then we already exited */
+        g_assert_not_reached ();
     }
 
   if (output != NULL)
@@ -240,7 +246,7 @@
   for (i = 1; backends[i].name != NULL; i++)
     fprintf (stderr, " | %s", backends[i].name);
 
-  fprintf (stderr, DOCSTRING_B, name);
+  fprintf (stderr, DOCSTRING_B);
 
   va_start (ap, fmt);
   vfprintf (stderr, fmt, ap);

=== modified file 'test/keyring-command.c'
--- test/keyring-command.c	2010-09-14 18:32:50 +0000
+++ test/keyring-command.c	2010-09-16 17:00:47 +0000
@@ -23,6 +23,9 @@
  *
  */
 
+#include <glib.h>
+#include <glib/gprintf.h>
+#include <glib-object.h>
 #include <gnome-keyring.h>
 
 
@@ -91,6 +94,7 @@
     {
       g_warning ("Failed to remove keyring %s: %s", keyring_name,
           gnome_keyring_result_to_message (result));
+      return FALSE;
     }
 }
 

